Subject: bug#43464: 28.0.50; vc: Error calling vc-revert for repo root

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 18:10:57 +0200

Andrii Kolomoiets <[email-masked]> writes:

> 1. Create repo with modified file:
>    mkdir gittest
>    cd gittest
>    git init
>    touch foo.txt
>    git add .
>    git commit -m "foo"
>    echo "bar" > foo.txt
> 2. emacs -Q
> 3. C-x v d
> 4. C-x v u
> 5. Confirm discarding changes
>
> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "vc-nil")
>   require(vc-nil)

I get the same error...  but if I move point down to the foo.txt line,
then I get no error.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no